<div class="container h-100 d-grid align-items-center" *ngIf="!contentHidden">
  <div class="row justify-content-center">
    <div class="col-md-4 col-md-offset-4">
      <div class="panel panel-default">
        <div class="panel-body">
          <div class="text-center">
            <h2 class="text-center mb-3">Password Reset</h2>
            <form autocomplete="off" class="text-left" (submit)="onPasswordReset(resetPasswordForm)"
              #resetPasswordForm="ngForm">
              <div class="form-group">
                <label for="inputPassword">Password</label>
                <input type="password" name="password" ngModel #pass="ngModel" minlength="8" maxlength="30"
                  class="form-control" id="inputPassword" placeholder="Password" pattern="(?=.*[A-Za-z])(?=.*\d).*" required>
                <div *ngIf="pass.invalid && (resetPasswordForm.submitted || pass.touched)">
                  <div *ngIf="pass.errors.required" class="input-err-text">Password is required.</div>
                  <div *ngIf="pass.errors.minlength" class="input-err-text">Password minimum length 8 symbols.</div>
                  <div *ngIf="pass.errors.pattern" class="input-err-text">Password must unclude both characters and digits.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="inputPasswordConfirmation">Password Confirmation</label>
                <input type="password" ngModel name="inputPasswordConfirmation" #passConfirm="ngModel"
                  class="form-control" id="inputPasswordConfirmation" placeholder="Confirm password"
                  pattern="{{ pass.value }}" required>
                <div *ngIf="passConfirm.invalid && (resetPasswordForm.submitted || passConfirm.touched)">
                  <div *ngIf="passConfirm.errors.required" class="input-err-text">Password Confirmation is required.
                  </div>
                  <div *ngIf="passConfirm.errors.pattern" class="input-err-text"> Password & Password Confirmation does
                    not match.</div>
                </div>
              </div>
              <button type="submit" class="btn btn-lg btn-primary btn-block"> Reset </button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #successDialog>
  <h1 mat-dialog-title>Password Reset</h1>
  <div mat-dialog-content>
    Password updated successfully
  </div>
</ng-template>